@echo off
rem FILE: STLOCK.CMD
rem CREATED: 12/16/98 CD & MK
rem MODIFIED: 07/10/03 MEK
rem USE: SmarTerm Lockdown setup script

rem **************************************************************
rem **********************Please Read!****************************
rem
rem	This script makes use of environment
rem 	variables that MUST be set by the administrator.  These
rem 	variables are as follows:
rem 
rem 	STINST - the full path to the SmarTerm installation
rem	STDRIVE - the drive letter of the partition containing
rem		  the SmarTerm files.  The default is %systemdrive%.
rem               Note that this MUST be a mapped drive if the partition
rem               is not physically located on the same machine as Terminal Server.
rem	STFOLDER - the name of the root folder containing SmarTerm. 
rem		  The default folder is SMARTERM
rem	FILESYS - the type of file system in use on the
rem 		  Multi-Win Server.  Allowed values are 
rem 		  NTFS and FAT.  
rem 		  NOTE:  Esker does not recommend using the 
rem 		  FAT file system on Multi-Win servers.  Security 
rem 		  options are severely limited by the use of the 
rem 		  FAT file system.  This option is being provided
rem		  here merely as a courtesy for those who are not
rem		  concerned with security.
rem
rem 	These variables are set by editing the lines below to input
rem	the actual values of the variables for your site.
rem 	While default values have been provided, DO NOT ASSUME YOUR
rem	SITE MATCHES THE DEFAULTS!  To prevent this file from being
rem	run without editing, the next executable line in this file
rem 	after these remarks will actually exit the script.  This 
rem 	line must be removed or remarked for the script to run.
rem ***************************************************************

exit

rem Please change the following variables if necessary:

set STINST="%systemdrive%\Program Files\Esker\SmarTerm"
set STDRIVE=%systemdrive%
set STFOLDER="smarterm"
set FILESYS=NTFS

rem ***************************************************************

type stlckmsg.txt
pause

change user /install > Nul:

%stdrive%
cd %stinst%

if not %filesys%==NTFS goto Fat
cacls *.* /t /e /p Everyone:r Administrators:f System:f < %systemroot%\Applic~1\install\y.txt
cd ..
cacls %stfolder%. /e /p Everyone:r Administrators:f System:f
goto Done

:Fat
if not %filesys%==FAT goto Done
attrib +r *.* /s
cd ..
attrib +r %stfolder%.

:Done
cd %stinst%
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\Shutdown" "Close Options" 2
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\Shutdown" "Connected Warning" 1
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\Shutdown" "Disconnect Options" 1
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\Shutdown" "Exit SmarTerm" 1
setreg "HKEY_LOCAL_MACHINE\Software\Esker\SmarTerm Office\12.0\Options\Shutdown" "Close Options" 2
setreg "HKEY_LOCAL_MACHINE\Software\Esker\SmarTerm Office\12.0\Options\Shutdown" "Connected Warning" 1
setreg "HKEY_LOCAL_MACHINE\Software\Esker\SmarTerm Office\12.0\Options\Shutdown" "Disconnect Options" 1
setreg "HKEY_LOCAL_MACHINE\Software\Esker\SmarTerm Office\12.0\Options\Shutdown" "Exit SmarTerm" 1
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Configuration Files" %stinst%\Config
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Button Pictures" %stinst%\Pictures
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Downloads" %stinst%\Transfer
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local HotSpots" %stinst%\HotSpots
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Keyboard Maps" %stinst%\Keymap
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Phone Books" %stinst%\PhoneBks
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Scripts" %stinst%\Macros
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Sessions" %stinst%\Sessions
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local SmarTerm Buttons" %stinst%\Buttons
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Triggers" %stinst%\Triggers
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\Startup Files" "Session File" %stinst%\Sessions\_default.stw
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\Startup Files" "Workspace File" %stinst%\Sessions\_default.sws
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Settings\Registration Information" "User Name" %username% 

rem Copy new UI file
echo F | xcopy %STINST%\config\stlckui.ui %STINST%\config\stoffice.ui /D /K /R> Nul:

rem Delete SmarTerm calls from the logon script.
call "%systemroot%\Application Compatibility Scripts\Uninstall\USTOff.cmd"

cls
echo ----------------------------------------------
echo SmarTerm has been configured for LockDown Mode.
echo 
pause
exit