@echo off
rem FILE: STUSER.CMD
rem CREATED: 12/16/98 CD & MK
rem MODIFIED: 07/10/03 MEK
rem USE: SmarTerm compatibility script

rem **************************************************************
rem **********************Please Read!****************************
rem
rem	This script makes use of environment variables that 
rem 	MUST be set by the administrator.  These variables are 
rem 	as follows:
rem 
rem 	STINST - the full path to the SmarTerm installation
rem	STDRIVE - the drive letter of the partition containing
rem		  the SmarTerm files. The default is %systemdrive%.
rem               Note that this MUST be a mapped drive if the partition
rem               is not physically located on the same machine as Terminal Server.
rem	HOMEROOT - the full path to the users' home directories.
rem		   Please note that, as *.cmd files can not read
rem		   UNC nomenclature (ex. \\server\share), this path
rem		   must either be a local drive or a mapped drive.
rem		   Please see the documentation for details on
rem		   mapping drives.
rem
rem 	These variables are set by editing the lines below to input
rem	the actual values of the variables for your site.
rem 	While default values have been provided, DO NOT ASSUME YOUR
rem	SITE MATCHES THE DEFAULTS!  To prevent this file from being
rem	run without editing, the next executable line in this file
rem 	after these remarks will actually exit the script.  This 
rem 	line must be removed or remarked for the script to run.
rem ***************************************************************

exit

rem Please change the following variables if necessary:

set STINST="%systemdrive%\program files\Esker\smarterm"
set STDRIVE=%systemdrive%
set HOMEROOT="%userprofile%"

rem ***************************************************************

rem Check for flag that says script already ran.
if exist %homeroot%\Esker\SmarTerm\stuser.ini goto Done

rem Copy SmarTerm files into user's directory
%stdrive%
cd %stinst%

rem NT4 does not support /y options and does not prompt on file overwrite
rem W2K and W2K3 require the /y option to suppress prompting.
rem Determine if running NT4

ver | find "Windows NT" >nul
if errorlevel 1 goto NOTNT

:NT
xcopy Config %homeroot%\Esker\SmarTerm\Config\ /d /i /e /r /h > NUL: 2>&1
xcopy Buttons %homeroot%\Esker\SmarTerm\Buttons\ /d /i /e /r /h > NUL: 2>&1
xcopy HotSpots %homeroot%\Esker\SmarTerm\HotSpots\ /d /i /e /r /h > NUL: 2>&1
xcopy Keymap %homeroot%\Esker\SmarTerm\Keymap\ /d /i /e /r /h > NUL: 2>&1
xcopy Macros %homeroot%\Esker\SmarTerm\Macros\ /d /i /e /r /h > NUL: 2>&1
xcopy Phonebks %homeroot%\Esker\SmarTerm\PhoneBks\ /d /i /e /r /h > NUL: 2>&1
xcopy Pictures %homeroot%\Esker\SmarTerm\Pictures\ /d /i /e /r /h > NUL: 2>&1
xcopy Sessions %homeroot%\Esker\SmarTerm\Sessions\ /d /i /e /r /h > NUL: 2>&1
xcopy Transfer %homeroot%\Esker\SmarTerm\Transfer\ /d /i /e /r /h > NUL: 2>&1
xcopy Triggers %homeroot%\Esker\SmarTerm\Triggers\ /d /i /e /r /h > NUL: 2>&1
attrib -r -s -h %homeroot%\Esker\SmarTerm\*.* /s

GOTO CONT

:NOTNT
xcopy Config %homeroot%\Esker\SmarTerm\Config\ /d /i /e /y /r /h > NUL: 2>&1
xcopy Buttons %homeroot%\Esker\SmarTerm\Buttons\ /d /i /e /y /r /h > NUL: 2>&1
xcopy HotSpots %homeroot%\Esker\SmarTerm\HotSpots\ /d /i /e /y /r /h > NUL: 2>&1
xcopy Keymap %homeroot%\Esker\SmarTerm\Keymap\ /d /i /e /y /r /h > NUL: 2>&1
xcopy Macros %homeroot%\Esker\SmarTerm\Macros\ /d /i /e /y /r /h > NUL: 2>&1
xcopy Phonebks %homeroot%\Esker\SmarTerm\PhoneBks\ /d /i /e /y /r /h > NUL: 2>&1
xcopy Pictures %homeroot%\Esker\SmarTerm\Pictures\ /d /i /e /y /r /h > NUL: 2>&1
xcopy Sessions %homeroot%\Esker\SmarTerm\Sessions\ /d /i /e /y /r /h > NUL: 2>&1
xcopy Transfer %homeroot%\Esker\SmarTerm\Transfer\ /d /i /e /y /r /h > NUL: 2>&1
xcopy Triggers %homeroot%\Esker\SmarTerm\Triggers\ /d /i /e /y /r /h > NUL: 2>&1
attrib -r -s -h %homeroot%\Esker\SmarTerm\*.* /s

:CONT
rem Run a utility to set user registry entries.
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Configuration Files" %homeroot%\Esker\SmarTerm\Config
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Button Pictures" %homeroot%\Esker\SmarTerm\Pictures
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Downloads" %homeroot%\Esker\SmarTerm\Transfer
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local HotSpots" %homeroot%\Esker\SmarTerm\HotSpots
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Keyboard Maps" %homeroot%\Esker\SmarTerm\Keymap
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Phone Books" %homeroot%\Esker\SmarTerm\PhoneBks
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Scripts" %homeroot%\Esker\SmarTerm\Macros
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Sessions" %homeroot%\Esker\SmarTerm\Sessions
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local SmarTerm Buttons" %homeroot%\Esker\SmarTerm\Buttons
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\File Locations" "Local Triggers" %homeroot%\Esker\SmarTerm\Triggers
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\Startup Files" "Session File" %homeroot%\Esker\SmarTerm\Sessions\_default.stw
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Options\Startup Files" "Workspace File" %homeroot%\Esker\SmarTerm\Sessions\_default.sws
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\12.0\Settings\Registration Information" "User Name" %username% 

rem Create the flag to check for at the start of the script.
echo %username% %homeroot% >> %homeroot%\Esker\SmarTerm\stuser.ini"

:Done
exit
